Summary: The most commonly-used entries in the /dev directory.
Name: dev
Version: 2.7.24
Release: 3
Source0: dev-%{PACKAGE_VERSION}.tar.gz
Source1: dev-%{PACKAGE_VERSION}-rd-gd.tar.gz
Source2: dev-%{PACKAGE_VERSION}-hd-gd.tar.gz
Source3: dev-%{PACKAGE_VERSION}-usb-gd.tar.gz
Source4: dev-%{PACKAGE_VERSION}-ht-gd.tar.gz
Source5: dev-%{PACKAGE_VERSION}-i2c-gd.tar.gz
Source6: dev-%{PACKAGE_VERSION}-sg-gd.tar.gz
Source7: dev-%{PACKAGE_VERSION}-par-gd.tar.gz
Source8: dev-%{PACKAGE_VERSION}-mice-gd.tar.gz
License: public domain
Group: System Environment/Base
Buildroot: %{_tmppath}/%{name}-root
Autoreqprov: no
Prefix: /dev
Requires: shadow-utils >= 4.0.3
Prereq: mktemp grep sed fileutils textutils
Prereq: shadow-utils
BuildRequires:	MAKEDEV >= 2.5.2-3
Vendor: Guardian Digital

%description
The Guardian Digital Linux Lockbox uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be). 
This package contains the most commonly used /dev entries.  

The dev package is a basic part of your Linux system and it needs
to be installed.

%prep
%setup -c -T

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
  mkdir -p $RPM_BUILD_ROOT
  BUILD_DIR=`pwd`

  # unpack in build root
  cd $RPM_BUILD_ROOT
  tar xpSzf %{SOURCE0}
  tar xpSzf %{SOURCE1}
  tar xpSzf %{SOURCE2}
  tar xpSzf %{SOURCE3}
  tar xpSzf %{SOURCE4}
  tar xpSzf %{SOURCE5}
  tar xpSzf %{SOURCE6}
  tar xpSzf %{SOURCE7}
  tar xpSzf %{SOURCE8}

  cd $RPM_BUILD_ROOT/dev

  # !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  # Instead of updating the tarballs every time we need to add new
  # devices, just make them (alphabetically) here.
  # !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  mknod ppp -m 600 c 108 0
  /dev/MAKEDEV cciss
  /dev/MAKEDEV dpti
  /dev/MAKEDEV md

  for n in 0 1 2 3 4 5 6 7; do 
    mknod scd$n b 11 $n		&& \
    ln -s scd$n sr$n		&& \
    chown root.disk scd$n	&& \
    chmod 660 scd$n
  done

  # build the file list
  cd $BUILD_DIR
  (cd $RPM_BUILD_ROOT/dev; ls) | sed 's,^,/dev/,' | sed '{
    /\/dev\/log$/ s/^/%ghost /
    /\/dev\/fd..*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/fb.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/hd.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/sg.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/par.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/*mouse.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/scd.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/vtx.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/vbi.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/kbd.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/cua.*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/tty[SCDEIMR].*/ s/^/%verify(not group,mode,mtime) /
    /\/dev\/tty[a-s].$/ s/^/%verify(size) /
    /\/dev\/pty.*/ s/^/%verify(size) /
    /\/dev\/raw\/.*/ s/^/%verify(not user,group,mode,mtime) /
  }' | grep -v filelist > filelist
  # that "size" should really be "maj,min" but rpm doesn't
  # follow Maximum RPM's documentation of %verify...

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
  /usr/sbin/groupadd -g 19 -r -f floppy
  /usr/sbin/groupadd -g 31 -r -f console

%post
  if [ -f /etc/fstab ] ; then
    # note that we do not disallow comments; we wish to allow people
    # to comment it out if they so desire.
    if [ $(grep '/proc' /etc/fstab 2>/dev/null | wc -l) -gt 1 ] ; then
      # ugly but robust
      echo '
none                    /dev/pts                devpts  gid=5,mode=620        0 0' \
        >> /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
    else
      # beautiful in the common case
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed '/\/proc/a\
none                    /dev/pts                devpts  gid=5,mode=620        0 0
          ' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
    fi
  fi

%files -f filelist
  %exclude /dev/filelist

%changelog
* Fri Sep 09 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, Release 3
  - Add ccisss, md, dpti, ppp, scd, and sr devices.

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7.24, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7.24, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
